Loading...
Searching...
No Matches
gtsam::traits< const CalibratedCamera > Struct Reference
Inheritance diagram for gtsam::traits< const CalibratedCamera >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< CalibratedCamera >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< CalibratedCamera >))
Public Member Functions inherited from gtsam::Testable< CalibratedCamera >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< CalibratedCamera >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< CalibratedCamera >
static TangentVector | Local (const CalibratedCamera &origin, const CalibratedCamera &other)
static CalibratedCamera | Retract (const CalibratedCamera &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< CalibratedCamera, CalibratedCamera::dimension >
static int | GetDimension (const CalibratedCamera &)
Static Public Member Functions inherited from gtsam::Testable< CalibratedCamera >
static void | Print (const CalibratedCamera &m, const std::string &str="")
static bool | Equals (const CalibratedCamera &m1, const CalibratedCamera &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< CalibratedCamera >
enum |
typedef CalibratedCamera | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/CalibratedCamera.h